import '@material/web/button/text-button.js';
import '@material/web/button/elevated-button.js';
import '@material/web/textfield/filled-text-field.js';
import '@material/web/dialog/dialog.js';
import '@operato/i18n';
import { LitElement } from 'lit';
declare const ContactUs_base: (new (...args: any[]) => LitElement) & typeof LitElement;
export declare class ContactUs extends ContactUs_base {
    static get styles(): import("lit").CSSResult[];
    dialog: HTMLElement & {
        show: () => void;
    };
    subjectInput: HTMLInputElement;
    senderInput: HTMLInputElement;
    contentInput: HTMLInputElement;
    render(): import("lit-html").TemplateResult<1>;
    _checkValidity(): boolean;
    _submit(e: MouseEvent): void;
}
export {};
